<?php
/**
 * Single post page header
 *
 * @package Multi
 */

?>
<?php
$sticky_header_mode    = get_theme_mod( 'multi_sticky_header', MULTIMAGAZINE_STICKY_HEADER );
$show_scroll_progress  = get_theme_mod( 'multi_scroll_progress', MULTIMAGAZINE_SCROLL_PROGRESS );
$fullwidth_header      = get_theme_mod( 'multi_fullwidth_header', MULTIMAGAZINE_FULLWIDTH_HEADER );
$special_header_mobile = get_theme_mod( 'multi_post_header_mobile', MULTIMAGAZINE_POST_HEADER_MOBILE );
$has_shadow            = get_theme_mod( 'multi_sticky_header_shadow', MULTIMAGAZINE_STICKY_HEADER_SHADOW );

$post_header_classes = '';

if ( $show_scroll_progress ) {
	$post_header_classes .= ' show-progress';
}
if ( $fullwidth_header ) {
	$post_header_classes .= ' full-width';
}

if ( $special_header_mobile ) {
	$post_header_classes .= ' mobile-sticky';
}

if ( $has_shadow ) {
	$post_header_classes .= ' with-shadow';
}

?>
<header class="single-post-header sticky-enabled <?php echo esc_attr( $post_header_classes ); ?>">
	<div class="single-post-header-content">
		<?php get_template_part( 'template-parts/logo' ); ?>
		<p class="single-post-header-title"><span class="single-post-header-title-text"><?php the_title(); ?></span></p>
		<?php do_action( 'multimagazine_single_post_header' ); ?>
	</div>
	<?php if ( $show_scroll_progress ) : ?>
		<div class="scroll-progress"></div>
	<?php endif; ?>
</header>
